comunidades

Cómo resolver Las siguientes firmas no eran válidas: Error de BADSIG en las actualizaciones de Ubuntu

Hacía mucho tiempo que no conectaba mi portátil Ubuntu a Internet. Como resultado, cuando lo conecté a Internet después de dos semanas de vacío, como todos sabemos que Ubuntu es bastante aficionado a proporcionar actualizaciones de forma regular, estaba esperando un montón de actualizaciones que se proporcionarán por Ubuntu.

Escribí los siguientes comandos en la terminal para intentar actualizar el sistema.

sudo apt-get clean sudo apt-get update sudo apt-get upgrade

El comando «limpio» no hizo nada.

El comando sudo apt-get update contiene un error:

Leer las listas de paquetes…. Hecho
W: Se ha producido un error durante la verificación de firmas. El repositorio no se actualiza y se utilizarán los archivos de índice anteriores. GPG error: http://extras.ubuntu.com oneiric Release: Las siguientes firmas no son válidas: BADSIG 16126D3A3E5C1192 Ubuntu Extras Archive Automatic Signing Key
W: Se ha producido un error durante la verificación de firmas. El repositorio no se actualiza y se utilizarán los archivos de índice anteriores. GPG error: http://archive.canonical.com oneiric Release: Las siguientes firmas no son válidas: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key
W: GPG error: http://ppa.launchpad.net oneiric Release: Las siguientes firmas no son válidas: BADSIG E0319082F37F3AB0 Launchpad corrige para aprsd
W: GPG error: http://ppa.launchpad.net oneiric Release: Las siguientes firmas no son válidas: BADSIG 73AD8184264CE9C6 Launchpad PPA para Simon Schneegans
W: GPG error: http://ppa.launchpad.net oneiric Release: Las siguientes firmas no son válidas: BADSIG DFB844B8BBB91632D Launchpad PPA para el equipo de indicadores meteorológicos
W: Se ha producido un error durante la verificación de firmas. El repositorio no se actualiza y se utilizarán los archivos de índice anteriores. GPG error: http://ppa.launchpad.net oneiric Release: Las siguientes firmas no son válidas: BADSIG C2518248EEA14886 Launchpad VLC
W: No se pudo ir a buscar a http://extras.ubuntu.com/ubuntu/dists/oneiric/Release
W: No se pudo obtener http://archive.canonical.com/ubuntu/dists/oneiric/Release
W: No se pudo conseguir http://ppa.launchpad.net/webupd8team/gnome3/ubuntu/dists/oneiric/Release
W: Algunos archivos de índice no se han podido descargar. Han sido ignorados, o se han usado los antiguos en su lugar.

¿Notaste las últimas líneas? Estos son los cruciales y tenemos que centrarnos en ellos. Dice:

W: Se ha producido un error durante la verificación de firmas. El repositorio no se actualiza y se utilizarán los archivos de índice anteriores. GPG error: http://extras.ubuntu.com oneiric Release: Las siguientes firmas no son válidas: BADSIG 16126D3A3E5C1192 Ubuntu Extras Archive Automatic Signing Key

Ese es nuestro culpable aquí: Error de firma no válido BADSIG.

Cómo resolver Las siguientes firmas no eran válidas: ¿Error BADSIG?

Para eliminar el error de firma errónea, abra el terminal (Ctrl+Alt+T) y utilice los comandos que se indican a continuación uno a uno:

sudo apt-get clean cd /var/lib/apt listas de sudo mv lists.old sudo mkdir -p lists/partial sudo apt-get clean sudo apt-get update

Después de usar estos comandos debería deshacerse de los errores y su Update Manager debería funcionar correctamente.

¿Todavía hay problemas? Dime si sigues teniendo problemas con el BADSIG o el Ubuntu Update Manger. Me gustaría ayudarte. Manténgase en contacto suscribiéndose al boletín de noticias. Disfruta

Crédito de la imagen: Big Stock Photo

Fuente: este post proviene de Vida Tecno, donde puedes consultar el contenido original.
¿Vulnera este post tus derechos? Pincha aquí.
¿Qué te ha parecido esta idea?

Esta idea proviene de:

Y estas son sus últimas ideas publicadas:

Etiquetas: Linux

Recomendamos

Relacionado

Linux

Razones y soluciones para el error Incapaz de bloquear (/var/lib/dpkg/) en Ubuntu

Unas cuantas veces, al instalar/actualizar un paquete desde la línea de comandos (usando apt-get o apt) en Ubuntu, obtenemos este error: E: No se puede bloquear el directorio de administración (/var/lib/dpkg/) . Desde el punto de vista de un principiante, es un error complejo, ya que la mayoría de los nuevos usuarios no son conscientes del directorio «/var/lib/dpkg/» y de lo que tiene qu ...

Linux

Cómo usar las extensiones de shell de Gnome de Linux Mint (MGSE) en Ubuntu

En nuestro review of Linux Mint 12 , quedamos impresionados con la implementación de las Mint Gnome Shell Extensions (MGSE) y cómo hace que la interfaz de usuario vuelva a ser fácil de usar. Ahora, si estás usando Ubuntu y no quieres pasar por la molestia de instalar Linux Mint desde cero, así es como puedes implementar el MGSE en Ubuntu (asumiendo que estás usando Gnome Shell como tu administrado ...

Linux

Cómo actualizar y actualizar Ubuntu sin conexión

Las actualizaciones sin conexión no son muy comunes en el mundo actual, ya que la mayoría de los dispositivos están conectados a Internet. Aún así, hay ocasiones en las que pueden ser útiles, y Ubuntu proporciona una forma bastante sencilla de convertir una unidad USB en un repositorio sin conexión. Este método no es difícil de configurar y funciona tan fácilmente como una actualización en línea r ...

Linux

Cómo mostrar de forma destacada las pulsaciones de teclas en screencasts utilizando la tecla de pantalla[Ubuntu]

Ya sabemos cómo crear un screenscast en Linux . También hemos discutido una herramienta que te permite crear un GIF animado a partir de un screencast. Ahora, imagine una situación en la que su screencast contiene la grabación de algunos comandos importantes que usted ingresa en la Terminal. Dado que había muchas ventanas de aplicación abiertas cuando se realizó la grabación, los comandos que intro ...